Subject: Re: [Sip] SIP To: or Not SIP To:, Route is the Question? Was ( To and Request URI)

From: "James M. Polk" <[email-masked]>
Date: Tue, 04 Sep 2001 11:34:59 -0500

Dean

comment below

At 09:52 PM 8/31/2001 -0500, Dean Willis wrote:
>
>The To: field can be envisioned as an indicator TO THE USER (or agents
>thereof) of the "intent" or "original target" of a call.
>
>For example:
>
>Let's say my boss goes out of town and forward his phone calls to me.
>Somewhere, there's a proxy replacing the RequestURI of his phone with one
>that delivers INVITEs to my phone instead.
>
>But when the call shows up at my phone, the To: field is still "boss" (Ok,
>sip:[email-masked]) .
>
>So when I look at my GUI before answering a call, I know that the call was
>originally to my boss, and has just been delivered to me because of some
>sort of call forwarding. I may choose to give this call higher (or lower)
>priority than I might otherwise, 

This is a dense question, but *at this point in the call set-up*, why is
priority change necessary or even desirable?

>or do some sort of different handling as I
>think appropriate, like not answer "WHASSSUP!!!" at the top of my voice.
> 
*************************************
"People generally demand more respect for their own rights than they are
willing to allow for others"

James M. Polk
Consulting Engineer
Office of the CTO

Cisco Systems
18581 N. Dallas Parkway
Dallas, Texas 75287
w) 972.813.5208
f)  972.813.5280
www.cisco.com